org.apache.tinkerpop.gremlin.structure

## Enum Transaction.Status

- java.lang.Object
- - java.lang.Enum<Transaction.Status>
  - - org.apache.tinkerpop.gremlin.structure.Transaction.Status

- All Implemented Interfaces:
    Serializable, Comparable<Transaction.Status>
  Enclosing interface:
    Transaction

      public static enum Transaction.Status
      extends Enum<Transaction.Status>

  A status provided to transaction listeners to inform whether a transaction was successfully committed or rolled back.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMIT`
    `ROLLBACK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Transaction.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Transaction.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMMIT

          public static final Transaction.Status COMMIT

    - #### ROLLBACK

          public static final Transaction.Status ROLLBACK

  - ### Method Detail

    - #### values

          public static Transaction.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transaction.Status c : Transaction.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Transaction.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.